- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandXdgSurfaceV6
- Qt 5.15.19 Reference Documentation

# QWaylandXdgSurfaceV6 Class

The QWaylandXdgSurfaceV6 class provides desktop-style compositor-specific features to an xdg surface. More...

Header: | #include <QWaylandXdgSurfaceV6>
qmake: | QT += waylandcompositor
Since: | Qt 5.10
Inherits: | QWaylandShellSurfaceTemplate

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Properties

- popup : QWaylandXdgPopupV6* const
- shell : QWaylandXdgShellV6* const
- surface : QWaylandSurface* const

- toplevel : QWaylandXdgToplevelV6* const
- windowGeometry : const QRect

## Public Functions

| QWaylandXdgSurfaceV6(QWaylandXdgShellV6 *xdgShell, QWaylandSurface *surface, const QWaylandResource &res)
| QWaylandXdgSurfaceV6()
void | initialize(QWaylandXdgShellV6 *xdgShell, QWaylandSurface *surface, const QWaylandResource &resource)
QWaylandXdgPopupV6 * | popup() const
QWaylandXdgShellV6 * | shell() const
QWaylandSurface * | surface() const
QWaylandXdgToplevelV6 * | toplevel() const
QRect | windowGeometry() const

## Signals

void | popupCreated()
void | shellChanged()
void | surfaceChanged()
void | toplevelCreated()
void | windowGeometryChanged()

## Static Public Members

QWaylandXdgSurfaceV6 * | fromResource(::wl_resource *resource)
const struct wl_interface * | interface()

## Detailed Description

This class is part of the QWaylandXdgShellV6 extension and provides a way to extend the functionality of an existing QWaylandSurface with features specific to desktop-style compositors, such as resizing and moving the surface.

It corresponds to the Wayland interface `zxdg_surface_v6`.

## Property Documentation

### popup : QWaylandXdgPopupV6* const

This property holds the properties and methods that are specific to the popup QWaylandXdgSurfaceV6.

Access functions:

QWaylandXdgPopupV6 * | popup() const

Notifier signal:

void | popupCreated()

See also QWaylandXdgSurfaceV6::toplevel and QWaylandXdgShellV6::popupCreated.

### shell : QWaylandXdgShellV6* const

This property holds the shell associated with this QWaylandXdgSurfaceV6.

Access functions:

QWaylandXdgShellV6 * | shell() const

Notifier signal:

void | shellChanged()

### surface : QWaylandSurface* const

This property holds the surface associated with this QWaylandXdgSurfaceV6.

Access functions:

QWaylandSurface * | surface() const

Notifier signal:

void | surfaceChanged()

### toplevel : QWaylandXdgToplevelV6* const

This property holds the properties and methods that are specific to the toplevel QWaylandXdgSurfaceV6.

Access functions:

QWaylandXdgToplevelV6 * | toplevel() const

Notifier signal:

void | toplevelCreated()

See also QWaylandXdgSurfaceV6::popup and QWaylandXdgShellV6::toplevelCreated.

### windowGeometry : const QRect

This property holds the window geometry of the QWaylandXdgSurfaceV6. The window geometry describes the window's visible bounds from the user's perspective. The geometry includes title bars and borders if drawn by the client, but excludes drop shadows. It is meant to be used for aligning and tiling windows.

Access functions:

QRect | windowGeometry() const

Notifier signal:

void | windowGeometryChanged()

## Member Function Documentation

### QWaylandXdgSurfaceV6::QWaylandXdgSurfaceV6(QWaylandXdgShellV6 *xdgShell, QWaylandSurface *surface, const QWaylandResource &res)

Constructs a QWaylandXdgSurfaceV6 for surface and initializes it with the given xdgShell, surface, and resource res.

### QWaylandXdgSurfaceV6::QWaylandXdgSurfaceV6()

Constructs a QWaylandXdgSurfaceV6.

### `[static]` QWaylandXdgSurfaceV6 *QWaylandXdgSurfaceV6::fromResource(::wl_resource *resource)

Returns the QWaylandXdgSurfaceV6 corresponding to the resource.

### void QWaylandXdgSurfaceV6::initialize(QWaylandXdgShellV6 *xdgShell, QWaylandSurface *surface, const QWaylandResource &resource)

Initializes the QWaylandXdgSurfaceV6, associating it with the given xdgShell, surface and resource.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### `[static]` const struct wl_interface *QWaylandXdgSurfaceV6::interface()

Returns the Wayland interface for the QWaylandXdgSurfaceV6.